# please remind me to never create makefiles ever again

CFLAGS=-Wall -O2 -static -I./include -DAUDIODRIVER_WINMM
LDFLAGS=-mwindows -lwinmm

win95kggui:
	windres src/icon.rc src/icon.o -I./include
	./bin2h src/bergsm.xm
	mv hdata.h include/bergsm.h
	$(CC) -o win95kggui.exe src/win95kggui.c src/icon.o sub/ft2play/audiodrivers/winmm/*.c sub/ft2play/*.c $(CC_FLAGS) $(LD_FLAGS)

clean:
	rm -f include/bergsm.h *.o src/*.o *.exe
